QGIS Application - Bug report #19934
QGIS 3.2 processing scripts not updated when saved / crash when trying processing options > ok
2018-09-24 04:06 PM - Jochen Schwarze

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:3.2.3 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 27757
Description

When editing processing scripts in QGIS 3 with right click > Edit script... in the processing toolbox, save it and then try to execute it by
double clicking it in the processing toolbox, the script version that was loaded at QGIS start is executed, not the one just edited. The only
(painful!) way to execute my edited script is to restart QGIS 3 any time an edit is made.

Deleting the pycache folder under ...processing/scripts/ seem to have no effect.

Sometimes opening the processing options and pressing OK has the desired effect (cp. answer to [[
https:/gis.stackexchange.com/questions/296665/update-processing-scripts-in-qgis-3]]), but in most cases when trying this QGIS

crashes. Report below.

Report Details

Crash ID: 5e3a31012f28a3770f1edf75538b93b6036ced53

Stack Trace

QgsMapRendererCustomPainterJob::waitForFinishedWithEventLoop :
QgsMapRendererJob::errors :
QgsMapCanvas::rendererJobFinished :
QMetaObject::activate :
QgsMapRendererParallelJob::renderLayersFinished :
QgsMapRendererParallelJob::cancel :
QgsMapRendererParallelJob::~QgsMapRendererParallelJob :
QgsMapCanvasSnappingUtils::~QgsMapCanvasSnappingUtils :
QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifylnternal2 :
QCoreApplicationPrivate::sendPostedEvents :
gt_plugin_query_metadata :
QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Associated revisions

Revision a0292c¢3f - 2018-09-30 12:31 AM - Nyall Dawson

[processing] Reload scripts after a script has been saved in the editor

Fixes #19934

History

#1 - 2018-09-28 07:26 AM - Nyall Dawson

| suspect the crash reported here has already been fixed -- it was likely a crash caused by having a processing algorithm dialog open when the options

window was opened.

But the issue regarding the scripts not updating remains.

#2 - 2018-09-30 12:30 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a0292c3ff37d0a8007ab17b55876bb7190c46691.
